[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# NeedParentDesignControl

Ensures that a TCustomDesignControl instance is found for the specified control.

## Declaration

Source position: forms.pp line 1974

`function NeedParentDesignControl(`
`Control: TControl`
`):TCustomDesignControl;`

## Description

Calls GetParentDesignControl to get the return value for the function. Raises an EInvalidOperation exception if a TCustomDesignControl instance is not found for the specified control.

Used in methods which perform scaling operations for TCustomForm or TControl instances.